org.gradle.testing.jacoco.tasks

## Interface JacocoReportsContainer

- All Superinterfaces:
    Collection<Report>, org.gradle.util.Configurable<ReportContainer<Report>>, DomainObjectCollection<Report>, Iterable<Report>, NamedDomainObjectCollection<Report>, NamedDomainObjectSet<Report>, ReportContainer<Report>, Set<Report>

      @Incubating
      public interface JacocoReportsContainer
      extends ReportContainer<Report>

  The reporting configuration for the `JacocoReport` task.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.ReportContainer

      `ReportContainer.ImmutableViolationException`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SingleFileReport` | `getCsv()` The JaCoCo (single file) CSV report
    `DirectoryReport` | `getHtml()` The JaCoCo HTML report
    `SingleFileReport` | `getXml()` The JaCoCo (single file) XML report

    - ### Methods inherited from interface org.gradle.api.reporting.ReportContainer

      `getAsMap, getEnabled, getEnabledDirectoryReportDestinations, getEnabledFileReportDestinations, getEnabledReportNames, getNamer, getNames, getRules, isEmpty`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAt, getByName, getByName, getByName`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

- - ### Method Detail

    - #### getHtml

          @Internal
          DirectoryReport getHtml()

      The JaCoCo HTML report
      Returns:
        The JaCoCo HTML report

    - #### getXml

          @Internal
          SingleFileReport getXml()

      The JaCoCo (single file) XML report
      Returns:
        The JaCoCo (single file) XML report

    - #### getCsv

          @Internal
          SingleFileReport getCsv()

      The JaCoCo (single file) CSV report
      Returns:
        The JaCoCo (single file) CSV report